<?php
/**
 * Body Classes.
 * @package Beauty Parlour Salon
 */

if (!function_exists('beauty_parlour_salon_body_classes')) :

    function beauty_parlour_salon_body_classes($beauty_parlour_salon_classes)
    {
        $beauty_parlour_salon_defaults = beauty_parlour_salon_get_default_theme_options();
        $beauty_parlour_salon_layout = beauty_parlour_salon_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $beauty_parlour_salon_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $beauty_parlour_salon_classes[] = $beauty_parlour_salon_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('beauty_parlour_salon_copyright_alignment', 'Default');
        $beauty_parlour_salon_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $beauty_parlour_salon_classes;
    }

endif;

add_filter('body_class', 'beauty_parlour_salon_body_classes');